package api

import (
	"github.com/gin-gonic/gin"
	"gitlab.com/tensorsecurity-rd/waf-console/internal/controller"
)

func SetIPInforRouter(e *gin.Engine) {
	v1 := e.Group("api/v1")

	// apiKey := os.Getenv("API_KEY")

	// ipInforController := controller.NewIpInfoController(apiKey)

	// v1.GET("ip/:ip", ipInforController.QueryIP)

	systemController := controller.NewSystemController()
	v1.GET("systemInfo", systemController.SystemInfo)
}
